

<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE-edge">
        <meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=no">
        <meta name="theme-color" content="#4a86cf">
        <meta name="msapplication-navbutton-color" content="#4a86cf">
        <meta name="apple-mobile-web-app-status-bar-style" content="#4a86cf">

        <title>    Talks and Events

 - 2018.guadec.org</title>
        <meta name="description" content="">
        <meta name="keywords" content="">



        <link rel="dns-prefetch" href="//fonts.googleapis.com">
        <link rel="alternate" type="application/rss+xml" title="GUADEC 2018 feed" href="/rss">
        <link rel="icon" href="https://2018.guadec.org/theme/img/icon-32x32.png">
        <link rel="icon" href="https://2018.guadec.org/theme/img/icon-192x192.png">
        <link rel="apple-touch-icon-precompose" href="https://2018.guadec.org/theme/img/icon-180x180.png">
        <link rel="msapplication-TileImage" href="https://2018.guadec.org/theme/img/icon-270x270.png">


        <link rel="stylesheet" href="https://2018.guadec.org/theme/css/screen.css">
        <noscript>
          <link rel="stylesheet" href="https://2018.guadec.org/theme/css/noscript.css">

        </noscript>
<!--[if lt IE 9]>
            <script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
            <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
<![endif]-->

    <link href="https://2018.guadec.org/feeds/all.atom.xml" type="application/atom+xml" rel="alternate" title="GUADEC 2018 Full Atom Feed">


    </head>
    <body class="default">
        <div id="header">

            <div class="container">

<nav class="navbar fixed-top navbar-dark navbar-expand-lg" id="menubar">
    <div class="container">
        <button type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation" class="navbar-toggler">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarSupportedContent">

            <ul class="navbar-nav">
                        <li class="nav-item">
                            <a href="/" class="nav-link">
                                Home
                            </a>
                        </li>
                        <li class="nav-item dropdown">
                            <a role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" href="#" class="nav-link dropdown-toggle" id="navbarDropdown">
                                About the city
                            </a>
                            <div aria-labelledby="navbarDropdown" class="dropdown-menu">
                                        <a href="/pages/about-almeria.html" class="dropdown-item">
                                            About the city of Almería
                                        </a>
                                        <a href="/pages/tourism-in-almeria.html" class="dropdown-item">
                                            Tourism in Almería
                                        </a>
                            </div>
                        </li>
                        <li class="nav-item">
                            <a href="/pages/map.html" class="nav-link">
                                Map
                            </a>
                        </li>
                        <li class="nav-item dropdown">
                            <a role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" href="#" class="nav-link dropdown-toggle" id="navbarDropdown">
                                Program
                            </a>
                            <div aria-labelledby="navbarDropdown" class="dropdown-menu">
                                        <a href="/pages/schedule.html" class="dropdown-item">
                                            Schedule
                                        </a>
                                        <a href="/pages/social-events.html" class="dropdown-item">
                                            Social events
                                        </a>
                                        <a href="/pages/venue.html" class="dropdown-item">
                                            Venue
                                        </a>
                                        <a href="/pages/videos.html" class="dropdown-item">
                                            Talks videos
                                        </a>
                            </div>
                        </li>
                        <li class="nav-item dropdown">
                            <a role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" href="#" class="nav-link dropdown-toggle" id="navbarDropdown">
                                Travel
                            </a>
                            <div aria-labelledby="navbarDropdown" class="dropdown-menu">
                                        <a href="/pages/travel.html" class="dropdown-item">
                                            Getting there
                                        </a>
                                        <a href="/pages/guadec-main-accommodation.html" class="dropdown-item">
                                            Main accommodation
                                        </a>
                                        <a href="/pages/other-accommodation-alternatives.html" class="dropdown-item">
                                            Other accommodation options
                                        </a>
                                        <a href="/pages/getting-an-spanish-visa.html" class="dropdown-item">
                                            Visa
                                        </a>
                            </div>
                        </li>
                        <li class="nav-item dropdown">
                            <a role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" href="#" class="nav-link dropdown-toggle" id="navbarDropdown">
                                Code of Conduct
                            </a>
                            <div aria-labelledby="navbarDropdown" class="dropdown-menu">
                                        <a href="/pages/code-of-conduct.html" class="dropdown-item">
                                            Code of Conduct
                                        </a>
                                        <a href="/pages/photo-policy.html" class="dropdown-item">
                                            Photo Policy
                                        </a>
                            </div>
                        </li>
                        <li class="nav-item">
                            <a href="/pages/sponsors.html" class="nav-link">
                                Sponsors
                            </a>
                        </li>
                        <li class="nav-item dropdown">
                            <a role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" href="#" class="nav-link dropdown-toggle" id="navbarDropdown">
                                Media
                            </a>
                            <div aria-labelledby="navbarDropdown" class="dropdown-menu">
                                        <a href="https://www.flickr.com/groups/guadec2018/pool/" class="dropdown-item">
                                            Pictures gallery
                                        </a>
                                        <a href="/pages/videos.html" class="dropdown-item">
                                            Talks videos
                                        </a>
                                        <a href="/pages/materials.html" class="dropdown-item">
                                            Materials
                                        </a>
                                        <a href="https://foro.hacklabalmeria.net/t/revista-de-prensa-guadec-2018/9093" class="dropdown-item">
                                            Echo in press and  blogs
                                        </a>
                            </div>
                        </li>
                        <li class="nav-item">
                            <a href="/pages/contact.html" class="nav-link">
                                Contact
                            </a>
                        </li>
            </ul>
        </div>
    </div>
</nav>
    <h1 class="head-title">Talks and Events</h1>


            </div>
        </div>
        <div id="content">
            <div id="content-head">

            </div>
            <div id="content-body">
    <div class="container">
        <div class="row">
            <div class="col">
                
                <!-- AUTOGENERATED -->

<div><div class="abstract" id="abstract-121-beach_party"><h4><a href="/pages/schedule.html#121-beach_party">Beach Party</a></h4><span class="details">On Friday at 20:00 (Elsewhere) by GUADEC Team</span><p>Details will be announced later.</p></div><div class="abstract" id="abstract-26-better_gtk_and_app_development_on_windows"><h4><a href="/pages/schedule.html#26-better_gtk_and_app_development_on_windows">Better GTK+ and app development on Windows</a></h4><span class="details">On Friday at 13:00 (Auditorium) by Nirbheek Chauhan</span><p>Last year at GUADEC, Jussi Pakkanen talked about how the Meson build system's subprojects and wrapdb features enable easier app development on all platforms.</p><p>This year I will talk about how these features have matured and now allow GTK+ and GTK+ app development on Windows without needing extraneous steps, fragile build environments such as MSYS or Cygwin, or non-native toolchains such as MinGW GCC.</p><p>I will demonstrate how easy it now is to develop, debug, and profile your GTK+ apps with the tools that Windows developers expect to be able to use.</p></div><div class="abstract" id="abstract-112-unconference-1"><h4><a href="/pages/schedule.html#112-unconference-1">Breaking into and defending Linux – examples</a></h4><span class="details">On Sunday at 15:00 (Auditorium) by dcz</span><p>Breaking into and defending Linux – examples</p></div><div class="abstract" id="abstract-108-unconference-1"><h4><a href="/pages/schedule.html#108-unconference-1">Building Flatpak apps with Buildstream</a></h4><span class="details">On Saturday at 15:00 (Auditorium) by Sam Thursfield</span><p>Building Flatpak apps with Buildstream</p></div><div class="abstract" id="abstract-114-unconference-1"><h4><a href="/pages/schedule.html#114-unconference-1">Building for humans: methods for improving usability</a></h4><span class="details">On Sunday at 15:30 (Auditorium) by Robin</span><p>Building for humans: methods for improving usability</p></div><div class="abstract" id="abstract-28-building_the_libre_desktop"><h4><a href="/pages/schedule.html#28-building_the_libre_desktop">Building the Libre Desktop</a></h4><span class="details">On Saturday at 12:15 (Conference Room) by Louisa Bisio</span><p>System76 talks about their new Linux desktop manufactured in Denver, CO. Integrated with Pop!_OS, a Gnome-based distro, this desktop features open sourced concepts inside and out. In this talk, we share the struggles of building an open desktop and why open computer designs are important for an innovative future. In the end, we prove that you don’t have to compromise aesthetics, quality, and performance for freedom.</p></div><div class="abstract" id="abstract-122-cultural_show__picnic"><h4><a href="/pages/schedule.html#122-cultural_show__picnic">Cultural show &amp; picnic</a></h4><span class="details">On Saturday at 19:30 (Elsewhere) by GUADEC Team</span><p>Details will be announced later.</p></div><div class="abstract" id="abstract-42-dealing_with_controversy__a_practical_guideline"><h4><a href="/pages/schedule.html#42-dealing_with_controversy__a_practical_guideline">Dealing with controversy - a practical guideline</a></h4><span class="details">On Friday at 11:00 (Conference Room) by Sriram Ramkrishna</span><p>GNOME is a pioneer in the desktop and beyond.  Being in the pole position means that we invite criticisms in our online world both fair and unfair.</p><p>This talk will focus on how to deal with controversies, communicating effectively, and extracting relevant feedback to controversial issues while maintaining your sanity</p></div><div class="abstract" id="abstract-2-design_of_an_ux_case_iot_integration_in_gnome"><h4><a href="/pages/schedule.html#2-design_of_an_ux_case_iot_integration_in_gnome">Design of an UX case: IoT integration in GNOME.</a></h4><span class="details">On Sunday at 11:00 (Conference Room) by Claudio Alexander Santoro Wunder</span><p>The talk would be about a mockup and current ideas for a new user experience case design, integration of smart homes appliances and internet of things middleware in GNOME at a glance. Providing details of how successful could be GNOME the first UI for Linux that could integrate with such things like Google Assistant, Alexa, Cortana, IFTTT, or appliances like Philips Hue and NeXT. By likely integrating the Google Assistant SDK directly in GNOME, making GNOME a more human experienced and native language experienced GUI for the Linux Environment.</p></div><div class="abstract" id="abstract-19-designing_gnome_mobile"><h4><a href="/pages/schedule.html#19-designing_gnome_mobile">Designing GNOME Mobile</a></h4><span class="details">On Sunday at 13:00 (Conference Room) by Tobias Bernard</span><p>Purism's Librem 5 is the first phone built from the ground up to respect user freedom and privacy. It will run PureOS, a real GNU/Linux distribution, and use GNOME as its user interface. But how is that possible? GNOME doesn't run on phones, does it?</p><p>Well, not quite yet, but at Purism we're working on changing that. In my role as designer on the Librem 5 project I'm adapting the design of existing GNOME apps to the phone form factor, and designing new apps from scratch. We want as much of this work as possible to go upstream, in order to benefit all GNOME users.</p><p>In this presentation I'll show some of the progress we've been making, and talk about how to design GNOME apps that work well across different form factors.</p></div><div class="abstract" id="abstract-13-devops_for_gnome"><h4><a href="/pages/schedule.html#13-devops_for_gnome">DevOps for GNOME</a></h4><span class="details">On Sunday at 12:15 (Conference Room) by Carlos Soriano</span><p>As you probably might know, GNOME hasn't been the most updated in technologies &amp; processes used for the design, development, testing, QA, delivery loop. To be honest, we have been quite behind!</p><p>Build fails, not passing tests, contributors stuck with trivial details, each product with different released days, designers and QA in need to build the whole stack to try out a minimal UI change… well, we could continue indefinitely. Needless to say this was a huge impact in our performance and contributor friendliness, even more in a time where web applications are as common.</p><p>Fortunately, things have changed dramatically over the last two years, specially with Flatpak for a containerized-alike build and distribution of apps and our move to GitLab and its integrated CI, we are able to fully dive into integrating a more DevOps oriented workflow. This effort has become a dream come true for GNOME, that we would have never imagined a few years back.</p><p>In this talk I will present and explain in details how to use and integrate Flatpak and GitLab together to create the future of the DevOps experience for Linux applications development and how we use it at GNOME and what impact is making to our organization.</p></div><div class="abstract" id="abstract-4-download_management_on_metered_connections"><h4><a href="/pages/schedule.html#4-download_management_on_metered_connections">Download management on metered connections</a></h4><span class="details">On Sunday at 14:30 (Auditorium) by Philip Withnall</span><p>Endless OS is often run on machines where internet connectivity is metered: the user has to pay per unit of bandwidth used. Due to the variety of tariffs available, reducing the bandwidth cost of important downloads (such as OS updates) to the user is non-trivial. We’ve implemented a scheduling system for downloads to address this. It has uses on regular laptops too, allowing downloads to be deferred until you’re back home and not using mobile data.</p><p>This talk will provide an introduction to download management and how we see it being used in future.</p></div><div class="abstract" id="abstract-113-unconference-1"><h4><a href="/pages/schedule.html#113-unconference-1">Endless Code</a></h4><span class="details">On Sunday at 15:00 (Conference Room) by Philip Chimento</span><p>Endless Code</p></div><div class="abstract" id="abstract-41-flathub__an_app_store_and_build_service_for"><h4><a href="/pages/schedule.html#41-flathub__an_app_store_and_build_service_for">Flathub - An app store and build service for…</a></h4><span class="details">On Saturday at 11:00 (Auditorium) by Robert McQueen &amp; Jorge García</span><p>Talk title (complete): Flathub - An app store and build service for flatpak applications</p><p>Since last year's launch, Flathub has become the de facto app store for flatpak applications, with hundreds of available apps and thousands of monthly users.</p><p>This talk will provide answers to the following questions:<br />- What is Flathub? What does it offer users and developers?<br />- How can I publish a new app/theme/runtime/...?<br />- How does Flathub work? What is the infrastructure behind it (build service, website...)?<br />- What plans are there for future development?<br />- How can I contribute to Flathub?</p></div><div class="abstract" id="abstract-124-flatpak_workshop"><h4><a href="/pages/schedule.html#124-flatpak_workshop">Flatpak workshop</a></h4><span class="details">On Monday at 14:00 (Room 1) by Alexander Larsson</span><p>Available spaces: 48 on a first come, first serve basis<br />
Pre-requisites: laptop with flatpak and flatpak-builder installed<br />
<br />
Learn the basics of flatpak package and some tricks and tips for developing with flatpak.  The workshop starts with me talking about an hour, and then you can bring your own application to package. David and I will help people out and bring up common pain points for discussion. If you're only interested in the talk part that is fine too.</p></div><div class="abstract" id="abstract-20-freedesktopsdk_the_future_of_linux_runtimes"><h4><a href="/pages/schedule.html#20-freedesktopsdk_the_future_of_linux_runtimes">Freedesktop-sdk, the future of Linux runtimes</a></h4><span class="details">On Saturday at 10:30 (Auditorium) by Adam Jones, Valentin David</span><p>The freedesktop-sdk was originally started as a Flatpak subproject to create a minimum Linux baseline. It’s now a separate project hosted on freedesktop.org, and is used as the foundation of GNOME releases. The long term goal of the project is to maintain a neutral baseline which can be consumed by Flatpak, GNOME, KDE and others.</p><p>This talk will focus on the recent work to upgrade and modernize the sdk. We will discuss what the project has done so far, including the benefits of improved automation and converting the format entirely to BuildStream (rather than several different metadatas). </p><p>We will also talk about what we are doing next and why all of this matters to GNOME.</p></div><div class="abstract" id="abstract-5-glib_whats_new_and_whats_next"><h4><a href="/pages/schedule.html#5-glib_whats_new_and_whats_next">GLib: What’s new and what’s next?</a></h4><span class="details">On Sunday at 13:00 (Auditorium) by Philip Withnall</span><p>A look at recent activity in GLib, current development, and plans for the future.</p></div><div class="abstract" id="abstract-100-gnome_foundation_agm"><h4><a href="/pages/schedule.html#100-gnome_foundation_agm">GNOME Foundation AGM</a></h4><span class="details">On Saturday at 16:30 (Auditorium) by GNOME Board</span><p>The annual general meeting of the GNOME Foundation</p></div><div class="abstract" id="abstract-21-gnome_foundation_looking_into_the_future"><h4><a href="/pages/schedule.html#21-gnome_foundation_looking_into_the_future">GNOME Foundation: Looking into the Future</a></h4><span class="details">On Friday at 12:15 (Conference Room) by Rosanna Yuen</span><p>Exciting things are afoot! Come hear the plans for what is to come in the GNOME Foundation.</p></div><div class="abstract" id="abstract-32-gtk4_lightning_talks"><h4><a href="/pages/schedule.html#32-gtk4_lightning_talks">GTK4 Lightning talks</a></h4><span class="details">On Friday at 11:00 (Auditorium) by Benjamin Otte</span><p>The GTK team has been hard at work improving the core of the toolkit.</p><p>This talk will present all the internal subsystems that have seen changes in the form of lightning talk sized chunks, so that by the end of the talk you know about things such as GtkMotionController, GskRenderer, GtkSnapshot, GdkPaintable or GtkMediaStream.</p></div><div class="abstract" id="abstract-33-have_you_ever_developed_for_a_gpu"><h4><a href="/pages/schedule.html#33-have_you_ever_developed_for_a_gpu">Have you ever developed for a GPU?</a></h4><span class="details">On Sunday at 10:30 (Conference Room) by Benjamin Otte</span><p>You have probably heard about GPUs and OpenGL and seen the wonders that are possible with them. So has the GTK team. But what the GTK team hadn't heard about were the traps and pitfalls you have to carefully navigate around to make those wonders happen.</p><p>This talk will present what we learned so that you already have a head start when you decide to use the magic of GPUs.</p></div><div class="abstract" id="abstract-115-unconference-1"><h4><a href="/pages/schedule.html#115-unconference-1">How I secretly wish fonts worked (on GNOME)</a></h4><span class="details">On Sunday at 15:30 (Conference Room) by Nate</span><p>How I secretly wish fonts worked (on GNOME)</p></div><div class="abstract" id="abstract-107-unconference-1"><h4><a href="/pages/schedule.html#107-unconference-1">How to handle design critique</a></h4><span class="details">On Friday at 15:30 (Conference Room) by Nick Richards and Jakub Steiner</span><p>How to handle design critique</p></div><div class="abstract" id="abstract-106-unconference-1"><h4><a href="/pages/schedule.html#106-unconference-1">Implementing Phone UIs with GTK+</a></h4><span class="details">On Friday at 15:30 (Auditorium) by Adrien Plazas</span><p>Implementing Phone UIs with GTK+: Tips and Tricks</p></div><div class="abstract" id="abstract-109-unconference-1"><h4><a href="/pages/schedule.html#109-unconference-1">Input methods, wayland, and upstreams</a></h4><span class="details">On Saturday at 15:00 (Conference Room) by dcz</span><p>Input methods, wayland, and upstreams</p></div><div class="abstract" id="abstract-102-intern_and_newcomer_lightning_talks"><h4><a href="/pages/schedule.html#102-intern_and_newcomer_lightning_talks">Intern and newcomer lightning talks</a></h4><span class="details">On Friday at 16:30 (Auditorium) by Interns and newcomers</span><p>Lightning talks presented by Google Summer of Code and Outreachy interns, and newcomers to GNOME. If you are a newcomer and would like to present a lighting talk, please e-mail &lt;a href="mailto:kat@gnome.org"&gt;Kat&lt;/a&gt;</p></div><div class="abstract" id="abstract-30-javascript_in_gnome_in_2018"><h4><a href="/pages/schedule.html#30-javascript_in_gnome_in_2018">Javascript in GNOME in 2018</a></h4><span class="details">On Saturday at 10:30 (Conference Room) by Philip Chimento</span><p>This talk is about all the improvements made in GNOME's Javascript platform in the past year. We've made many strides: developer experience, especially for new contributors; new Javascript language features; and performance improvements, especially in memory usage. I'll talk about the improvements and how they affect the four audiences: users, app developers, GNOME Shell developers, and shell extension developers. I'll also talk about some projects that we need your help with!</p></div><div class="abstract" id="abstract-103-lightning_talks"><h4><a href="/pages/schedule.html#103-lightning_talks">Lightning talks</a></h4><span class="details">On Sunday at 16:30 (Auditorium)</span><p>Fast-paced and focused talks on any and all subjects. All talks will be subject to a strict time limit of 5 minutes on stage (including setup). Slides are welcome, but not compulsory.<br />You will be able to sign up for a lightning talk slot on the day. Talks will be accepted on a first come, first serve basis.</p></div><div class="abstract" id="abstract-25-making_a_phone_call_with_gnome"><h4><a href="/pages/schedule.html#25-making_a_phone_call_with_gnome">Making a phone call with GNOME</a></h4><span class="details">On Saturday at 11:00 (Conference Room) by Bob Ham</span><p>The journey toward making GSM calls on the upcoming Librem 5 phone using the GNOME platform.  An exploration of the issues encountered, the current status of our Calls application and discussion of intended future work.</p></div><div class="abstract" id="abstract-29-maxwell_embedding_widgets_in_webkit"><h4><a href="/pages/schedule.html#29-maxwell_embedding_widgets_in_webkit">Maxwell: embedding widgets in WebKit</a></h4><span class="details">On Friday at 14:30 (Conference Room) by Juan Pablo Ugarte</span><p>Maxwell is a proof of concept library that extends WebKitWebView to let you embed/pack Gtk widgets in it using good old GtkContainer API.</p><p>Inspired by Broadway, Maxwell renders all its children in an offscreen window and integrate them into the DOM tree by drawing on a HTML5 canvas element.</p><p>In this talk we go trough the juicy part of the implementation details, a few test cases and a real world application of the library.</p></div><div class="abstract" id="abstract-6-migrating_from_jhbuild_to_buildstream"><h4><a href="/pages/schedule.html#6-migrating_from_jhbuild_to_buildstream">Migrating from JHBuild to BuildStream</a></h4><span class="details">On Saturday at 13:00 (Auditorium) by Michael Catanzaro</span><p>JHBuild has served GNOME developers well for over a decade, but it is not very reliable and has caused many problems for newcomers attempting to build our software with it. This talk will present BuildStream, a new system for reliably building all of GNOME, and compare it to JHBuild. The focus will be on helping developers who are already familiar with JHBuild migrate to using BuildStream instead. Advantages and disadvantages of BuildStream relative to both JHBuild and flatpak-builder will be discussed.</p><p>This talk will also introduce gnome-build-meta, the new official source for GNOME build definitions, which is intended to obsolete the JHBuild modulesets, the GNOME Continuous manifest, and the manifest used to build GNOME's Flatpak runtimes.</p></div><div class="abstract" id="abstract-44-miracast_for_gnome"><h4><a href="/pages/schedule.html#44-miracast_for_gnome">Miracast for GNOME</a></h4><span class="details">On Friday at 14:30 (Auditorium) by Benjamin Berg</span><p>Miracast is a standard that allows streaming video and audio content over WiFi connections. This can either work on a local network (i.e. when connected to an AccessPoint or Infrastructure network) or through a direct P2P connection (WiFi-Direct) to a miracast enabled dongle.</p><p>This talk will give an overview of the progress made so far to support such devices on GNOME. While this work builds on miraclecast (https://github.com/albfan/miraclecast) a number of improvements throughout stack are required to make these devices easily usable to users.</p><p>Note: Most of the work for this talk has not yet happened. I expect that at least a number of the core integration issues will be solved by GUADEC and a proof of concept can be demonstrated.</p></div><div class="abstract" id="abstract-Open talk"><h4><a href="/pages/schedule.html#Open talk">Open talk</a></h4><span class="details">At different times by to be announced on the day</span><p>You can submit proposals for 20 minute slots for talks, discussion panels and presentations in other formats. The presentation with most votes from attendees will be selected at 14:20 each day to be presented at 15:00 or 15:30.<br />This is your chance to present cutting edge developments or anything that did not make it into the normal schedule.</p></div><div class="abstract" id="abstract-40-p2p_distribution_of_flatpaks_and_ostrees"><h4><a href="/pages/schedule.html#40-p2p_distribution_of_flatpaks_and_ostrees">P2P Distribution of Flatpaks and OSTrees</a></h4><span class="details">On Saturday at 12:15 (Auditorium) by Matthew Leeds</span><p>Endless is empowering the world by bringing the computing revolution to the people that have been left out due to the barriers of cost and connectivity, and this mission is only made possible by GNOME and other free software. One of the ways we're working on making computers useful in conditions of limited or nonexistent Internet connectivity is by allowing apps and OS updates to be distributed in a P2P way, over USB drives and local networks. This feature has required significant changes to both OSTree and Flatpak, two of the technologies that underlie Endless OS. We're planning to roll out the feature this summer, and this talk will focus on both the technical aspects and the user needs that motivated the work.</p></div><div class="abstract" id="abstract-24-patterns_of_refactoring_c_to_rust"><h4><a href="/pages/schedule.html#24-patterns_of_refactoring_c_to_rust">Patterns of refactoring C to Rust</a></h4><span class="details">On Sunday at 12:15 (Auditorium) by Federico Mena Quintero</span><p>Last year I gave a talk on *why* it was desirable to port librsvg from C to Rust.  That talk showed cool things about the Rust language, mostly centered around expresiveness and memory safety.</p><p>This time, I want to show you *how* the librsvg team (we have a team now!) has been doing the port, gradually, steadily, without breaking client applications.  We will present common patterns that show up when refactoring C to make it easy to port to Rust.  We'll show how the first pass at Rustification works, but it is ugly - but how a second pass can turn it into beautiful, idiomatic Rust code.  We'll show how C code with no error handling can be turned into Rust code that checks and propagates errors thoroughly.</p><p>The hope is to show that we can give the low-level GNOME platform another 20 years of life by porting it to a better low-level language.</p></div><div class="abstract" id="abstract-14-pipewire"><h4><a href="/pages/schedule.html#14-pipewire">PipeWire</a></h4><span class="details">On Sunday at 10:30 (Auditorium) by Wim Taymans</span><p>PipeWire is a modern graph-based multimedia processing engine that aims to make it possible to exchange content between applications and devices. It builds on concepts from many different sources such as GStreamer, JACK, CoreAudio, Pulseaudio, Wayland and LV2.</p><p>In this talk we will briefly go over the current state of PipeWire. The remainder will consist of a demonstration of the audio and video processing capabilities and will show how the integration of Desktop and Pro audio can be achieved.</p></div><div class="abstract" id="abstract-47-plan_your_testing"><h4><a href="/pages/schedule.html#47-plan_your_testing">Plan your testing</a></h4><span class="details">On Saturday at 13:00 (Conference Room) by Kat</span><p>GNOME has seen a number of initiatives to improve testing over recent years and the project is in the best position to see further improvements. Automated testing, especially with the move to GitLab, is more effective than ever. Usability testing has seen a lot of work from Jim Hall and the design team. But what about the planning and organisation around delivering GNOME as a product?</p><p>I will discuss the theory and processes around planning testing for a product like GNOME with regular releases, using real life examples from Apertis and how they can be applied to applications and the GNOME desktop. I will discuss the pros and cons of different approaches and how to decide what you should be using.</p></div><div class="abstract" id="abstract-39-product_management_in_open_source"><h4><a href="/pages/schedule.html#39-product_management_in_open_source">Product Management in Open Source</a></h4><span class="details">On Friday at 13:00 (Conference Room) by Nick Richards</span><p>What role does Product Management and other non coding roles play within open source and GNOME? Inspired by an excellent blog post from Christian Hergert this will talk about cherishing and encouraging non coding roles within GNOME. I'll cover what Product Management is and how it can help with some of the challenges the community is facing.</p></div><div class="abstract" id="abstract-10-simple_tricks_to_assess_and_improve_the_security_o"><h4><a href="/pages/schedule.html#10-simple_tricks_to_assess_and_improve_the_security_o">Simple tricks to assess and improve the security o</a></h4><span class="details">On Sunday at 14:30 (Conference Room) by T̛̮ò̗b͎̈́i̧͐a̠̐s͓̒ ̘̂M̧͋ṳ͂e̞͠ĺ̩l̟̍é̩r̛͉</span><p>We have powerful tools such as Address Sanitizer and american fuzzy lop at our disposal. Together with the reproducible build in clean environments that flatpak provide, we can shake bugs out of our apps as easily and efficiently as never before.  In this talk, I will demonstrate how to build an app such that the potential of the security related tools is maximised, how to interpret results, and ways forward to improve the security of all (self compiled) flatpak apps and thus the wider ecosystem, hoping to make GNOME a leader in the field of secure app delivery.</p></div><div class="abstract" id="abstract-110-unconference-1"><h4><a href="/pages/schedule.html#110-unconference-1">Slimbook Linux laptops</a></h4><span class="details">On Saturday at 15:30 (Auditorium) by Slimbook</span><p>Slimbook Linux laptops</p></div><div class="abstract" id="abstract-111-unconference-1"><h4><a href="/pages/schedule.html#111-unconference-1">Snap Package support in GNOME</a></h4><span class="details">On Saturday at 15:30 (Conference Room) by Robert Ancell</span><p>Snap Package support in GNOME</p></div><div class="abstract" id="abstract-34-the_infamous_gnome_shell_performance"><h4><a href="/pages/schedule.html#34-the_infamous_gnome_shell_performance">The infamous GNOME Shell performance</a></h4><span class="details">On Friday at 12:15 (Auditorium) by Jonas Ådahl, Carlos Garnacho</span><p>Over the past year, there has been lots of things going on related to GNOME Shells performance and memory consumption, including a hackfest in Cambridge, UK, in the middle of May. This talk aims to summarize what has happened lately within these topics, and what will happen in the future.</p></div><div class="abstract" id="abstract-16-thunderbolt_gnulinux_and_gnome"><h4><a href="/pages/schedule.html#16-thunderbolt_gnulinux_and_gnome">Thunderbolt, GNU/Linux and GNOME</a></h4><span class="details">On Saturday at 14:30 (Auditorium) by Christian Kellner</span><p>Thunderbolt 3 is a relatively new technology to connect peripherals to a computer. Because it can access the computer's resources directly, it allows for very high speeds: it is fast enough to drive external graphics cards.<br />However, the mechanism that allows these high speeds also poses a security risk because malicious devices could obtain sensitive information from the computer's memory.<br />Version 3 of the Thunderbolt interface therefore provides security levels in order to mitigate the aforementioned security risk that connected devices pose to the system. As a result, devices need to be authorized manually. The talk aims to provide an overview of the Thunderbolt technology and will try to clarify some of the confusing aspects, e.g. the many modes and features of the USB type C connector that Thunderbolt 3 uses. Finally, the talk will show how some tricky user experience problems were solved, with a focus on the integration with GNOME.</p></div><div class="abstract" id="abstract-3-translating_software_using_related_languages"><h4><a href="/pages/schedule.html#3-translating_software_using_related_languages">Translating software using related languages</a></h4><span class="details">On Saturday at 14:30 (Conference Room) by Rūdolfs Mazurs</span><p>Intended audience: translators, current and aspiring l10n team leaders</p><p>Summary:<br />Translating a big software project like GNOME is hard, especially for small teams. However, if the target language is related to another language that already has good coverage, the translation can be done much faster. In this talk I will explain the word substitution translation method and the new tool that implements it for GNOME translation files, mt-words.</p><p>Talk overview:<br />- Currently available tools for software translators<br />- Machine translation approaches used in general<br />- Detailed overview of the word-substitution method,<br />  including its strengths and which languages could use it<br />- What makes software interfaces easier and harder to translate<br />- Why word substitution translation is suitable for GNOME<br />- Presenting my translation script “mt-words”, an overview of how <br />  it addresses the issues with translating .po files<br />- Case study: translating parts of GNOME from Latvian to Latgalian<br />  * preparing the source language text<br />  * writing the translation script<br />  * creating the dictionary and terminology<br />  * editing the final translation<br />- Overview of how to maintain translations; what to do if:<br />  * the original English string changes<br />  * the related language string changes<br />  * a dictionary record changes</p></div><div class="abstract" id="abstract-50-ubuntus_journey_from_unity_to_gnome_shell"><h4><a href="/pages/schedule.html#50-ubuntus_journey_from_unity_to_gnome_shell">Ubuntu's journey from Unity to GNOME Shell</a></h4><span class="details">On Friday at 10:30 (Auditorium) by Ken VanDine, Didier Roche</span><p>Since 2011, Ubuntu had shipped Unity as the default shell for Ubuntu.  In 2017 the decision was made to transition from Unity to GNOME Shell as the default experience for Ubuntu.  We made the transition and shipped GNOME Shell by default in 17.10, with a slightly modified default experience.  We've since shipped GNOME Shell by default in 18.04, our latest LTS release.  </p><p>We'll talk about how we tackled this transition, obstacles we encountered and how we dealt with them.  We'll also present current challenges and what we hope will be a solid path forward.</p></div><div class="abstract" id="abstract-15-whats_happening_in_builder"><h4><a href="/pages/schedule.html#15-whats_happening_in_builder">What's happening in Builder?</a></h4><span class="details">On Sunday at 11:00 (Auditorium) by Christian Hergert, Corentin Noël</span><p>This year we'll discuss what has and hasn't been working well in Builder and what we're doing to address it.</p><p>As usual, there will be plenty of demos and tips for how to use Builder more efficiently.</p><p>Lastly, an overview of various plugin API will be provided to help GNOME contributors join in improving our tooling.</p></div></div>

<!-- /AUTOGENERATED -->
            </div>
        </div>
    </div>

            </div>
        </div>
        <div id="footer">
            <div class="container">
                    <div class="row">

<div class="footlinks col-12 col-md-6">
    <div class="row">
        <div class="col-6">
            <ul>
                        <li>
                            <strong>
                                <a href="https://www.gnome.org/">
                                    The GNOME Project
                                </a>
                            </strong>
                        </li>
                        <li>
                            <a href="https://www.gnome.org/about/">
                                About Us

                            </a>
                        </li>
                        <li>
                            <a href="https://www.gnome.org/get-involved/">
                                Get Involved

                            </a>
                        </li>
                        <li>
                            <a href="https://www.gnome.org/support-gnome/">
                                Support GNOME

                            </a>
                        </li>
                        <li>
                            <a href="https://www.gnome.org/merchandise/">
                                Merchandise

                            </a>
                        </li>
                        <li>
                            <a href="https://www.gnome.org/contact/">
                                Contact Us

                            </a>
                        </li>
                        <li>
                            <a href="https://www.gnome.org/privacy/">
                                Privacy

                            </a>
                        </li>
                        <li>
                            <a href="https://www.gnome.org/foundation/">
                                The GNOME Foundation

                            </a>
                        </li>
            </ul>
        </div>
        <div class="col-6">
            <ul>
                        <li>
                            <strong>
                                <a href="/">
                                    GUADEC: The GNOME conference
                                </a>
                            </strong>
                        </li>
                        <li>
                            <a href="/category/news.html">
                                News
                            </a>
                        </li>
                        <li>
                            <a href="/pages/travel.html">
                                Travel
                            </a>
                        </li>
                        <li>
                            <a href="/pages/accommodation.html">
                                Accommodation
                            </a>
                        </li>
                        <li>
                            <a href="/pages/venue.html">
                                Venue
                            </a>
                        </li>
                        <li>
                            <a href="/pages/code-of-conduct.html">
                                Code of conduct
                            </a>
                        </li>
                        <li>
                            <a href="/pages/sponsors.html">
                                Sponsors
                            </a>
                        </li>
                        <li>
                            <a href="https://registration.guadec.org/">
                                Register
                            </a>
                        </li>
            </ul>
        </div>
    </div>
</div>

<div class="socials">
        <a href="https://twitter.com/GUADEC" target="_blank" rel="nofollow" title="Twitter" class="social-twitter-sw social-round-s"></a>
        <a href="https://mail.gnome.org/mailman/listinfo/guadec-list" target="_blank" rel="nofollow" title="Mail" class="social-mail-sw social-round-s"></a>
    <a data-url="https://2018.guadec.org" href="#" rel="nofollow" title="QR Code" class="social-round-s social-qrcode-sw qrcode"></a>
</div>
                    </div>
                    <div class="row">
                        <div class="col text-center mt-5 mb-0">
                            All contents in this website are licensed under
                            <a href="https://creativecommons.org/share-your-work/public-domain/cc0/" title="CC0" target="_blank">
                                Creative Commons CC0 License
                            </a>
                            unless explicitly specified


                        </div>
                    </div>
            </div>
        </div>

        <div class="btn-website" id="goup">
            <div class="oi oi-caret-top"></div>
        </div>
        <script src="https://2018.guadec.org/theme/js/scripts.js"></script>
    </body>
</html>